# Class FormArrayRemovableDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:25

#####
Index

### Constructors

constructor

### Properties

_deletedControlValueSubscription?
control
deletedControl
parent

### Accessors

isDeleted
isDisabled

### Methods

ngAfterViewInit
ngOnDestroy

## Constructors

### constructor

- new FormArrayRemovableDirective(parent): FormArrayRemovableDirective

- #### Parameters

  - parent: ControlContainer

  #### Returns FormArrayRemovableDirective

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:32

## Properties

### `Private` `Optional` _deletedControlValueSubscription

_deletedControlValueSubscription?: Subscription

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:30

### `Protected` control

control: RxapFormGroup<{
deleted: boolean;
}, any>

#### Type declaration

- ##### deleted: boolean

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:27

### `Protected` deletedControl

deletedControl: RxapFormControl<boolean, any, any>

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:29

### `Protected` `Readonly` parent

parent: ControlContainer

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:32

## Accessors

### isDeleted

- get isDeleted(): boolean

- #### Returns boolean

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:35

### `Protected` isDisabled

- get isDisabled(): boolean

- #### Returns boolean

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:39

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:43

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:72